from django.urls import path, include
from rest_framework.routers import DefaultRouter
from .views import ChatBotAPIView, MultiChatAPIView, BotViewSet, RTCChatHistoryAPIView

router = DefaultRouter()
router.register(r'bots', BotViewSet, basename='bot')

urlpatterns = [
    path('', include(router.urls)),
    path('chat/<int:bot_id>/', ChatBotAPIView.as_view(), name='chat-bot'),
    path('multichat/', MultiChatAPIView.as_view(), name='multi-chat'),
    path('rtc-chat-history/', RTCChatHistoryAPIView.as_view(), name='rtc-chat-history'),
]
